%global packname  readr
%global rlibdir  %{_libdir}/R/library
%global debug_package %{nil}

Name:             R-%{packname}
Version:          2.1.4
Release:          3%{?dist}
Summary:          Read Rectangular Text Data

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-cli >= 3.2.0, R-clipr, R-crayon, R-hms >= 0.4.1, R-lifecycle >= 0.2.0, R-methods, R-R6, R-rlang, R-tibble, R-utils, R-vroom >= 1.6.0
# Suggests:  R-covr, R-curl, R-datasets, R-knitr, R-rmarkdown, R-spelling, R-stringi, R-testthat >= 3.1.2, R-tzdb >= 0.1.1, R-waldo, R-withr, R-xml2
# LinkingTo: cpp11, tzdb (>= 0.1.1)
# Enhances:

BuildRequires:    R-devel, R-cpp11-devel, R-tzdb >= 0.1.1
BuildRequires:    tex(latex)
BuildRequires:    R-cli >= 3.2.0
BuildRequires:    R-clipr
BuildRequires:    R-crayon
BuildRequires:    R-hms >= 0.4.1
BuildRequires:    R-lifecycle >= 0.2.0
BuildRequires:    R-methods
BuildRequires:    R-R6
BuildRequires:    R-rlang
BuildRequires:    R-tibble
BuildRequires:    R-utils
BuildRequires:    R-vroom >= 1.6.0


%description
The goal of 'readr' is to provide a fast and friendly way to read
rectangular data (like 'csv', 'tsv', and 'fwf').  It is designed to
flexibly parse many types of data found in the wild, while still cleanly
failing when data unexpectedly changes.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/WORDLIST
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/extdata
%{rlibdir}/%{packname}/libs




%changelog
* Sat Oct 07 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.1.4-3
- disable debug packages, since they end up included in a "dnf install 'R-*'" otherwise
* Sat Oct 07 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.1.4-2
- fix build requires
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.1.4-1
- initial package for Fedora
